FUNCTION line::Init, POS=pos, _EXTRA=e
    IF (self->IDLgrModel::Init(_EXTRA=e) NE 1) THEN RETURN, 0
    self.pos = 0.0
    IF (N_ELEMENTS(pos) EQ 1) THEN self.pos = pos
    self.oPoly = OBJ_NEW('IDLgrPolyline',  _EXTRA=e, color=[226,226,211])
    self->Add,self.oPoly
    self->BuildPoly
    RETURN, 1
END

;----------------------------------------------------------------------------
PRO line::Cleanup
    OBJ_DESTROY, self.oPoly
    self->IDLgrModel::Cleanup
END

;----------------------------------------------------------------------------
PRO line::SetProperty, POS=pos, _EXTRA=e
    self->IDLgrModel::SetProperty, _EXTRA=e
    self.oPoly->SetProperty, _EXTRA=e
    IF (N_ELEMENTS(pos) EQ 1) THEN self.pos = pos
    self->BuildPoly
END

;----------------------------------------------------------------------------
PRO line::GetProperty, POS=pos, POBJ=pobj, _EXTRA=e
    self->IDLgrModel::GetProperty, _EXTRA=e
    self.oPoly->GetProperty, _EXTRA=e
    pos = self.pos
    pobj = self.oPoly
END

;----------------------------------------------------------------------------
PRO line::BuildPoly
    x=[self.pos,self.pos]
    y=[-1,1]
    z=[2,2]
    data=transpose([[x],[y],[z]])
    self.oPoly->SetProperty, DATA=data
END

;-----------------------------------------------------------
PRO line_define
    struct = { line, $
               INHERITS IDLgrModel, $
               pos: 0.0, $
               oPoly: OBJ_NEW() $
             }
END







